<?php

/**
 * Parses a given DB result
 */
class DBParser extends FeedsParser {

  /**
   * Implements FeedsParser::parse().
   */
  public function parse(FeedsImportBatch $fetcher_result, FeedsSource $source) {
    $source_config = $source->getConfigFor($this);
    //$state = $source->state(FEEDS_PARSE);

    $fetcher_result->items = $fetcher_result->getRaw();
  }

  /**
   * Override parent::getMappingSources().
   */
  public function getMappingSources() {
    return FALSE;
  }

  /**
   * Override parent::getSourceElement() to use only lower keys.
   */
  public function getSourceElement(FeedsImportBatch $batch, $element_key) {
    // We just make sure it's all lowercase
    $element_key = drupal_strtolower($element_key);

    return parent::getSourceElement($batch, $element_key);
  }
}
